Summary:	Utility to ease the reporting of bugs within the GNOME Desktop Environment.
Name:		bug-buddy
Version: 	2.0.8
Release:	2mdk
License:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.bz2
Source1:	bug-buddy-48.xpm.bz2
Source2:	bug-buddy-32.xpm.bz2
Source3:	bug-buddy-16.xpm.bz2
URL:		http://primates.helixcode.com/~jacob/bug-buddy/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  db1-devel
BuildRequires:  GConf-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  libglade-devel

#implicit dependencies
#Requires:	libglade
#Requires:	gnome-libs >= 1.0.60
Requires: gdb

%description
bug-buddy is a druid based tool which steps you through the GNOME bug
submission process.  It can automatically obtain stack traces from core
files or crashed applications.  Debian and KDE bug tracking systems are
also supported.

%prep
%setup -q

%build
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

mkdir -p $RPM_BUILD_ROOT/%{_menudir} $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE1} >$RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} >$RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/bug-buddy
?package(bug-buddy): command="%{_bindir}/bug-buddy" icon="bug-buddy.xpm" \
longtitle="Front end of open source projects bug reporter" \
needs="x11" title="Bug-buddy" section="Applications/Development/Tools"
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_menus}


%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_datadir}/gnome/apps/Utilities/*
%{_datadir}/gnome/help/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_datadir}/mime-info/*
%{_menudir}/*

%changelog
* Wed Aug 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.8-2mdk
- Use new icon

* Tue Aug  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-1mdk
- Release 2.0.8
- No longer BuildConflicts with libxml2

* Sun Jul 08 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0.6-3mdk
- BuildRequires:  db1-devel
- BuildRequires:  GConf-devel
- BuildRequires:  gdk-pixbuf-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	gnome-libs-devel
- Removed BuildRequires:	imlib-devel
- Removed BuildRequires:	libxml-devel
- Removed BuildRequires:	XFree86-devel
- Removed BuildRequires:	zlib-devel

* Thu Jul 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.6-2mdk
- Move menu entry in Applications/Development/Tools

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6
- Add BuildConflicts with libxml2-devel

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Add requires on gdb (needed to submit bug report)

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Correct typo in description (Thanks to Randy Kramer)

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1mdk
- Release 2.0

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.95-1mdk
- Release 1.95

* Sun Nov 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-1mdk
- new and shiny source.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1-1mdk
- new version 1.1

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0-4mdk
- fixed langs
- further macroszification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0-2mdk
- macrozification

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- release 1.0
- remove docdir define (for BM)
- update menu macros
- embed menu file in spec (but don't add it, see 0.7-4mdk)
- modify icons to be transparent

* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-2mdk
- 32*32 icon
- remove hardcoded path to icons .

* Tue May 02 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-1mdk
- release 0.9 
- fix bug (seg fault when the about button is pressed)

* Thu Apr 20 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8-1mdk
- release  0.8
- force path to help file 

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.7-5mdk
- fix % post

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-4mdk
- add icon.
- build from helix.
- remove Mandrake entry (possible conflicts with our future bugzilla database
  system)


* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-3mdk
- really add  the menu entry (forgot to remove some stuffs)
- this come from Helix distro.

* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-2mdk
- add a Mandrake entry to report bug easily and directly to bug@mandrakesoft.com
- add menu entry.

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-1mdk
- first build for Mandrake.

